Bug 153016 - LayoutTest inspector/script-profiler/event-type-Other.html is flaky
Summary: LayoutTest inspector/script-profiler/event-type-Other.html is flaky
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-01-12 09:09 PST by Ryan Haddad
Modified: 2016-01-15 14:21 PST (History)
8 users (show)

See Also:


Attachments
[PATCH] Proposed Fix (9.41 KB, patch)
2016-01-15 12:22 PST, Joseph Pecoraro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2016-01-12 09:09:38 PST
LayoutTest inspector/script-profiler/event-type-Other.html is flaky

Most recent failing run:
<https://build.webkit.org/builders/Apple%20El%20Capitan%20Debug%20WK2%20%28Tests%29/builds/2144>

Flakiness dashboard:
<http://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=inspector%2Fscript-profiler%2Fevent-type-Other.html>

--- /Volumes/Data/slave/elcapitan-debug-tests-wk2/build/layout-test-results/inspector/script-profiler/event-type-Other-expected.txt
+++ /Volumes/Data/slave/elcapitan-debug-tests-wk2/build/layout-test-results/inspector/script-profiler/event-type-Other-actual.txt
@@ -11,9 +11,7 @@
 PASS: Event type should be Other.
 ScriptProfiler.trackingUpdate
 PASS: Event type should be Other.
-ScriptProfiler.trackingUpdate
-PASS: Event type should be Other.
 ScriptProfiler.trackingComplete
 PASS: Profiles should exist when complete.
-PASS: Should be 3 profiles for this session.
+FAIL: Should be 3 profiles for this session.
Comment 1 Ryan Haddad 2016-01-12 09:12:05 PST
Marked test as flaky in <https://trac.webkit.org/r194893>
Comment 2 Joseph Pecoraro 2016-01-12 10:42:55 PST
Hmm, this is weird. Well the test relies on a setTimeout of 50ms to occur after some work with a timeout of 0ms, but maybe on some systems that is not fast enough. We may be able to have the frontend cue off of an event, like a console message added.
Comment 3 Radar WebKit Bug Importer 2016-01-14 12:22:47 PST
<rdar://problem/24192919>
Comment 4 Joseph Pecoraro 2016-01-15 12:22:11 PST
Created attachment 269081 [details]
[PATCH] Proposed Fix
Comment 5 Brian Burg 2016-01-15 13:34:42 PST
Comment on attachment 269081 [details]
[PATCH] Proposed Fix

View in context: https://bugs.webkit.org/attachment.cgi?id=269081&action=review

r=me. GLORIOUS.

> LayoutTests/inspector/unit-tests/protocol-test-dispatch-event-to-frontend.html:15
> +            ProtocolTest.singleFireEventListener("MyEvent", (event) => {

This reads better than I expected.
Comment 6 WebKit Commit Bot 2016-01-15 14:21:55 PST
Comment on attachment 269081 [details]
[PATCH] Proposed Fix

Clearing flags on attachment: 269081

Committed r195147: <http://trac.webkit.org/changeset/195147>
Comment 7 WebKit Commit Bot 2016-01-15 14:21:57 PST
All reviewed patches have been landed.  Closing bug.